<template>
  <div v-if="resource?.type">
    <GitLab
      v-if="resource.type.generalType === coscineResourceTypes.Gitlab.General"
      v-model="resourceForUpdate"
    />
    <Generic v-else />
  </div>
</template>

<script lang="ts" setup>
// import the store for current module
import useResourceStore from "../../store";
import type { ResourceForUpdateDto } from "@coscine/api-client/dist/types/Coscine.Api";
import { CoscineResourceTypes } from "../../types";

import Generic from "./resource-type/Generic.vue";
import GitLab from "./resource-type/GitLab.vue";

const resourceForUpdate = defineModel<ResourceForUpdateDto>({ required: true });

const resourceStore = useResourceStore();

const coscineResourceTypes = CoscineResourceTypes;

const resource = computed(() => {
  return resourceStore.currentResource;
});
</script>
